import {ChartViewInterface} from "@/Services/ChartView/ChartViewInterface";
import {ChartViewAbstract} from "@/Services/ChartView/ChartViewAbstract";
import {ZmartChartsApex} from "@/Services/Chats/ZmartChartsApex";

export class PeriodListCompare extends ChartViewAbstract implements ChartViewInterface {
    public getWidget(dashboard: any, widget: any) {
        const height = widget[0].style;
        if (dashboard.label !== '' || dashboard.label !== null) {
            widget[0].children[0].text = dashboard.label;
        }
        widget[0].style = "background: " + dashboard.color + "; " + height;
        return widget;
    }

    private setPeriodCompareFormatterFunctionsAndDrill(chart: any) {
        const widget = chart.widget;
        const searchFunction = (_chart: any) => {
            _chart.children.forEach(searchFunction);
        };
        searchFunction(chart);
    }

    public setDill(charts: any, zmartCharts: ZmartChartsApex) {
        this.zmartCharts = zmartCharts;
        this.setPeriodCompareFormatterFunctionsAndDrill(charts[0]);
        return charts;
    }
}
