import {ChartViewInterface} from "@/Services/ChartView/ChartViewInterface";
import {ChartViewAbstract} from "@/Services/ChartView/ChartViewAbstract";
import {ZmartChartsApex} from "@/Services/Chats/ZmartChartsApex";

export class CardDetail extends ChartViewAbstract implements ChartViewInterface {
    public getWidget(dashboard: any, widget: any) {
        const height = widget[0].style;
        const cardHeight = dashboard.height * 120;
        if (dashboard.label !== '' || dashboard.label !== null) {
            widget[0].children[0].text = dashboard.label;
        }
        widget[0].style = "background: " + dashboard.color + "; height: " + (cardHeight - 30) + "px";
        widget[0].color = dashboard.color;
        widget[0].widget.color = dashboard.color;
        widget[0].height = cardHeight + "px";
        widget[0].children[2].children[0].color = dashboard.color;
        widget[0].children[2].children[1].color = dashboard.color;
        return widget;
    }
    public getCharts(charts: any) {
        return charts;
    }

    public setDrill(charts: any, zmartCharts: ZmartChartsApex) {
        this.zmartCharts = zmartCharts;
        return charts;
    }
}
